<!DOCTYPE html>
<html lang="en">
<head>

    <meta charset="UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <meta http-equiv="X-UA-Compatible" content="ie=edge"/>
    <meta name="description" content="RPS Battle Server, by the Ballarat Hackerspace"/>
    <meta name="keywords" content="gamedev,ai,docker,coding,hacking"/>
    <meta name="theme-color" content="#212529"/>
    <link rel="shortcut icon" type="image/png" href="/rps/static/favicon.png">
    <link rel="shortcut icon" sizes="196x196" href="/rps/static/favicon.png">
    <link rel="apple-touch-icon" href="/rps/static/favicon.png">
    <title>RPS Battle Server</title>
    <link href="https://fonts.googleapis.com/css?family=Press+Start+2P" rel="stylesheet">
    <link href="https://unpkg.com/nes.css/css/nes.css" rel="stylesheet"/>
    <link href="/rps/static/css/rps_server.css" rel="stylesheet"/>
</head>
<body>
<div class="header">
    {% if current_user.is_authenticated %}
        Hello {{ current_user.nickname }}!
        <form action="{{  url_for('index') }}" method="get" style="display:inline">
            <button type="submit" class="nes-btn is-success">Home</button>
        </form>
        <form action="{{  url_for('get_all_results') }}" method="get" style="display:inline">
            <button type="submit" class="nes-btn is-primary">Results</button>
        </form>
        <form action="{{  url_for('logout') }}" method="get" style="display:inline">
            <button type="submit" class="nes-btn is-error">Logout</button>
        </form>
    {% endif %}
</div>

<div class="nes-container is-centered is-rounded">
    <div class="ballarat-hackerspace-logo-container">
        <div class="ballarat-hackerspace-logo">
            <div class="logo-container">
                <img src="/rps/static/bhack-logo-black-large.svg" alt="logo" class="bhack-logo nes-avatar is-large"/>
            </div>
            <div class="">
                <h3>Ballarat</h3>
                <h2>Hackerspace</h2>
            </div>
        </div>
    </div>
    <a href="/">
        <h1 class="title"> RPS Battle Server</h1>
    </a>
    {% block content %}{% endblock %}
</div>

<div class="footer nes-container is-centered is-rounded">
    <h1>Built with:</h1>
    <div id="badges" class="item">
        <a href="https://nostalgic-css.github.io/NES.css/" class="nes-badge">
            <span class="is-dark">NES.css</span>
        </a>
        <a href="https://www.python.org/" class="nes-badge">
            <span class="is-warning">Python</span>
        </a>
        <a href="https://flask.palletsprojects.com/en/2.0.x/" class="nes-badge">
            <span class="is-success">Flask</span>
        </a>
        <a href="https://www.docker.com/" class="nes-badge">
            <span class="is-primary">Docker</span>
        </a>
    </div>
</div>
</body>
</html>